package com.inspur.thrid;

import com.alibaba.fastjson2.JSONObject;

public interface IPBXService {

    /**
     * 获取token信息
     * @return
     */
    public String getAccessToken();

    /**
     * 刷新访问 Token
     * @return
     */
    public String getRefreshToken(String refreshToken);

    /**
     * pbx 事件回调 dtmf按键
     * @param messageJson
     */
    public void dtmfEvent(JSONObject messageJson);

    /**
     * pbx 事件回调 呼叫事件
     * @param messageJson
     */
    public void callInEvent(JSONObject messageJson);

    /**
     * pbx 事件回调 呼叫状态变更
     * @param messageJson
     */
    public void callStateChange(JSONObject messageJson);

    /**
     * pbx 事件回调 新通话记录
     * @param messageJson
     */
    public void newCallDetails(JSONObject messageJson);
}
